Alokai
You are reading the documentation for v7.x and earlier, which is no longer the latest version. Switch to v8.x

updateEntryAndGetCart

Method updating a cart entry (its quantity, store details) and getting the updated cart from SAP Commerce Cloud.

This method sends a POST request to the updateCartEntry endpoint of the Alokai Middleware which composes responses from two other endpoints: updateCart and getCart. In turn, it exchanges data with two endpoints exposed by the SAP OCC API: updateCartEntry and getCart.

When vsf-sap-token cookie is present in the browser, this method will update an entry of the current user's cart. In case there is no cookie, it will update it in the anonymous user's cart. For logged-in users, make sure to pass cart code as the cartId param. In case of anonymous users, pass cart guid instead.

You might also want to see the updateCartEntry method.

Signature

export declare function updateEntryAndGetCart<Res extends Cart = Cart,
	Props extends UpdateCartProps = UpdateCartProps>(
	props: Props,
	options?: MethodOptions
): Promise<Res>;

Parameters

NameRequiredTypeDescription
propsRequiredPropsParameter object which can be used with this method. Refer to its type definition to learn about possible properties.
optionsOptionalMethodOptionsOptions that can be passed to additionally configure the request or customize the logic in a plugin.

Returns

Returns a representation of a Cart.

Referenced Types

Examples

Updating quantity of a cart entry with a given entryNumber.

import { sdk } from '~/sdk';

const updatedCart = await sdk.commerce.updateEntryAndGetCart({
  cartId: '00035084',
  entryNumber: 0,
  entry: { quantity: 2 }
});

Updating quantity of a cart entry and selecting response fields.

import { sdk } from '~/sdk';

const updatedCart = await sdk.commerce.updateEntryAndGetCart({
  cartId: '00035084',
  entryNumber: 0,
  entry: { quantity: 2 },
  fields: 'guid,entries(quantity,product(code))'
});

Updating quantity and deliveryPointOfService of a cart entry.

import { sdk } from '~/sdk';

const updatedCart = await sdk.commerce.updateEntryAndGetCart({
  cartId: '00035084',
  entryNumber: 0,
  entry: {
    quantity: 2,
    deliveryPointOfService: { name: 'ap_warehouse_e' }
  }
});

On this page